use leptos::*;

#[server(SetSession, "/api", "Url", "set_session")]
pub async fn set_session(cx: Scope) -> Result<(), ServerFnError> {
    use leptos_actix::extract;
    use actix_session::*;
    use actix_web::web::Data;
    //use crate::DataPok;

    extract(cx, |session: Session| async move {
        leptos::log!("extract");
        let pok = session.insert("user", "uzivatel");
        log!("{pok:?}");
    }).await

    //Ok(())
}

#[server(GetSession, "/api")]
pub async fn get_session(cx: Scope) -> Result<(), ServerFnError> {
    use leptos_actix::extract;
    use actix_session::*;

    extract(cx, |session: Session| async move {
        leptos::log!("extract");
        let pok = session.get::<String>("user");
        log!("{pok:?}");
    }).await

    //Ok(())
}